<template>
  <div>
    <div class="float">
      <svg viewBox="0 0 512 512" height="45" width="45" class="svg-icon">
        <path
          fill="currentColor"
          class="icon-primary"
          d="M456.401,0H55.599C42.623,0,32.066,10.557,32.066,23.532v47.556c0,7.239,2.519,14.316,7.091,19.929L204.7,294.184
            c2.397,2.942,3.719,6.654,3.719,10.452V496.47c0,5.417,2.751,10.351,7.359,13.199c2.508,1.55,5.322,2.331,8.147,2.331
            c2.366,0,4.74-0.548,6.949-1.652l59.697-29.849c8.024-4.012,13.009-12.077,13.009-21.048V304.636c0-3.798,1.321-7.51,3.72-10.453
            L472.843,91.016c4.572-5.612,7.091-12.689,7.091-19.929V23.532C479.934,10.557,469.377,0,456.401,0z M288.581,304.636v154.816
            c0,3.253-1.808,6.177-4.718,7.632l-59.697,29.849c-0.094,0.048-0.257,0.129-0.502-0.022s-0.245-0.332-0.245-0.439V304.636
            c0-0.353-0.011-0.705-0.023-1.057h65.207C288.592,303.931,288.581,304.283,288.581,304.636z M464.934,64.128h-24.564
            c-4.143,0-7.5,3.357-7.5,7.5c0,4.143,3.357,7.5,7.5,7.5h22.474c-0.47,0.847-1.013,1.656-1.629,2.413L295.673,284.707
            c-0.998,1.224-1.891,2.522-2.689,3.872h-73.967c-0.797-1.35-1.691-2.647-2.688-3.871L50.786,81.541
            c-0.617-0.757-1.159-1.566-1.629-2.413h22.48c4.143,0,7.5-3.357,7.5-7.5c0-4.143-3.357-7.5-7.5-7.5h-24.57V23.532
            c0-4.705,3.827-8.532,8.532-8.532h400.804c4.705,0,8.532,3.827,8.532,8.532V64.128z"
        />
        <path
          fill="currentColor"
          class="icon-secondary"
          d="M408.301,64.128H103.694c-4.143,0-7.5,3.357-7.5,7.5c0,4.143,3.357,7.5,7.5,7.5H408.3c4.143,0,7.5-3.357,7.5-7.5
			      C415.8,67.485,412.443,64.128,408.301,64.128z"
        />
      </svg>
      <div id="filter-box" class="filter-box">
        <div class="container-type">
          <h1>Type</h1>
          <div v-for="(addOn, index) in categories.types" :key="index">
            <v-checkbox
              hide-details
              :label="addOn.name"
              :value="addOn.value"
              v-model="filter.filter.type"
            />
          </div>
        </div>
        <v-btn @click="sendFilter">Apply</v-btn>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      date: null,
      modal_date: false,
      categories: {
        types: [
          { name: 'Mowing', value: 'mowing' },
          { name: 'Shopping', value: 'shopping' },
          { name: 'Others', value: 'others' }
        ],
        date: [{ name: 'Date', value: '' }]
      },
      filter: {
        filter: {
          type: [],
          title: [],
          description: [],
          date: []
        }
      }
    }
  },
  methods: {
    sendFilter() {
      this.$emit('applyFilter', this.filter)
    }
  }
}
</script>

<style scoped>
* {
  margin: 0;
  box-sizing: border-box;
}

.float {
  position: fixed;
  width: 4rem;
  height: 4rem;
  bottom: 5rem;
  left: calc(var(--width-sidebar) + 5rem);
  color: var(--text-primary);
  background-color: var(--bg-primary);
  border: var(--border);
  border-radius: 50px;
  text-align: center;
  box-shadow: var(--drop-shadow);
  z-index: 1;
}

.filter-box {
  position: fixed;
  left: 10rem;
  bottom: calc(7rem + 30px);
  height: 15rem;
  width: 20rem;
  z-index: 1000;
  border: var(--border);
  background-color: var(--bg-primary);
  color: var(--text-primary);
  border-radius: 25px;
  text-align: center;
  box-shadow: var(--drop-shadow);
  visibility: hidden;
  filter: grayscale(100%) opacity(0.7);
}

.filter-box:hover {
  visibility: visible;
  filter: grayscale(0%) opacity(1);
}

.float:hover {
  background-color: var(--bg-secondary);
  color: var(--accent-light);
}

.float:hover .filter-box {
  visibility: visible;
  animation: scale-in var(--transition-speed);
}

.svg-icon {
  padding-top: 0.8rem;
}

.icon-primary:hover {
  color: var(--accent-light);
}

.icon-secondary:hover {
  color: var(--accent-dark);
}

@keyframes scale-in {
  from {
    transform: scale(0);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}

@media only screen and (max-width: 813px) {
  .float {
    left: 4rem;
    bottom: 7rem;
    animation: none;
  }
}
</style>
